Subject: Re: bug#8650: git update has been broken for a while

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 May 2011 10:25:15 -0300

> mirrors maintained by individuals on a personal-effort basis. Even
> though one is hosted on Savannah, it's still a read-only mirror, and not
> the main repository. It may start being updating again, or it may not.
> There is nothing that Emacs developers, in general, can (or should, IMO)
> do about it.

W.r.t the "should do", I do think we should both add a blurb like the
one you suggested below, and also try to find a way to keep the git
mirror uptodate (IIUC the main problem is that it's done by a single
individual.  If it can be automated and/or performed by several
individuals, that would be great).

        Stefan

> I think there ought to be a note on http://savannah.gnu.org/projects/emacs/
> saying that the git repository is an unofficial, read-only mirror
> provided as a convenience for users, and that it may be out-of-date with
> respect to the real repository by an arbitrary amount at any time.
> To be sure of being up-to-date, use the bzr repository.